function init(){
	var doc = document;
	var clsBtn = doc.getElementById('close');
	var container = doc.getElementsByClassName('container')[0]; 
	var content = doc.getElementsByClassName('content')[0];
	var cntr = doc.getElementById('cntr');
	var cndn = doc.getElementById('countdown');
    var mapcontainer = doc.getElementById('map');
    var clk = doc.getElementById('clicklayer');
  	var bglayer = doc.getElementById('background');
    var mapContClick = doc.getElementById('mapcontainer');
  	var back = doc.getElementById('backBtn');
  	var clickSite = doc.getElementById('clicksite');
  	var mapInit = false;
    var map, infoWindow;
  	var interaction;
    var activeInfoWindow; 
     
  	var markerInfo = [
        {
            "name": "OTTICA CLAUDIA ANNINO",
            "href": "https:\/\/goo.gl\/maps\/UnF5GFPJsARwjDFD6",
            "lat": 36.912850,
            "lng": 15.141160,
            "evt": "340"
        }
    ];  
      function getMarkerHTML(marker){
        return '<div id="content">'+'<h1 id="firstHeading" class="firstHeading" style="font-size:1em;">'+marker.name+'</h1>'+'<div id="bodyContent">'+'<p><a href="'+marker.href+'" target="_blank">'+'Clicca qui per navigare</a></p>'+'</div>'+'</div>';
    }
    function processMarkers(markerInfo){
        for(var i=0;i<markerInfo.length;i++){
            markerInfo[i].html = getMarkerHTML(markerInfo[i]);
        }
    }

    processMarkers(markerInfo);

    /*
    var markerHtml = '<div id="content">' +
    '<h1 id="firstHeading" class="firstHeading" style="font-size:1em;">'+markerInfo.name+'</h1>' +
    '<div id="bodyContent">' +
    '<p><a href="'+markerInfo.url+'" target="_blank">' +
    'Clicca qui per navigare</a></p>' +
    '</div>' +
    '</div>';
    */

    function initMap() {
        var map = new google.maps.Map(document.getElementById('map'), {
            center: {
        		lat: 36.912850,
        		lng: 15.141160,
            },
            zoom: 12,
            mapTypeControl: false,
            streetViewControl: false,
            mapTypeId: google.maps.MapTypeId.ROADMAP,
            styles: [
                {
                  "featureType": "poi",
                  "stylers": [
                    { "visibility": "off" }
                  ]
                },
              ]

        });
        infoWindow = new google.maps.InfoWindow;

        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(function(position) {
                var pos = {
                    lat: position.coords.latitude,
                    lng: position.coords.longitude
                };

                //infoWindow.setPosition(pos);
                //infoWindow.setContent('You\'re here!');
                //infoWindow.open(map);
                map.setCenter(pos);
            }, function() {
                handleLocationError(true, infoWindow, map.getCenter());
            });
        } else {
            // Browser doesn't support Geolocation
            handleLocationError(false, infoWindow, map.getCenter());
        }

        function handleLocationError(browserHasGeolocation, infoWindow, pos) {
            infoWindow.setPosition(pos);
            //infoWindow.setContent(browserHasGeolocation ?
            //    'Error: The Geolocation service failed.' :
            //    'Error: Your browser doesn\'t support geolocation.');
            //infoWindow.open(map);
        }

		markerInfo.forEach(function(marker, index) {
			marker.marker = new google.maps.Marker({
				position: {
					lat: marker.lat,
					lng: marker.lng,
				},
				map: map,
                draggable: false
            });
            
			var markerDetails = new google.maps.InfoWindow({
				content: marker.html
            });
            
           
			markerInfo[index].marker.addListener('click', function() {

                if (activeInfoWindow) { activeInfoWindow.close();}

				map.setZoom(12);
				map.setCenter(markerInfo[index].marker.getPosition());
                markerDetails.open(map, markerInfo[index].marker);
                ADTECH.event('clickedOnMarker_'+marker.evt);
                ADTECH.event('clickedOnMarker');
                activeInfoWindow = markerDetails;
			});
		});

	};

   

    mapContClick.onclick = function(){
        ADTECH.click('clickToSite','');
    }
  
  
  
	var resizeCont = function(){

		// current outer container dimensions
		var currentWidth = container.clientWidth;
		var currentHeight = container.clientHeight;
		
      	var origWidth = 320;
		var origHeight = 480;
		
      // original content dimensions (ratio)
     
      /*if(currentWidth < currentHeight){
		origWidth = 768;
		origHeight = 1024;
      }else{
 		origWidth = 996;
		origHeight = 560;       
      }*/

		// calculation for scaling based on original content dimensions
		var scale = Math.min(currentWidth / origWidth, currentHeight / origHeight);	
		// setting scale
		content.style.transform ='scale('+scale+') translate(-50%, -50%)';

	};

	window.onresize = function(){
		resizeCont();
	};
	window.onload = function(){
		resizeCont();
	};

	
	function stopPropagation(e) {
		if (e.stopPropagation) {
			e.stopPropagation();
		} else {
			e.returnValue = false;
			e.cancelBubble = true;
		}
	}
	
	clsBtn.onclick = function(e){
		ADTECH.close();
		stopPropagation(e);
	};
  
 
	var dur = 16;
    var cur = 0;
    
    var step = 2 / dur;
    var canvas = document.getElementById('loader');
    var context = canvas.getContext('2d');
    var centerX = canvas.width / 2;
    var centerY = canvas.height / 2;
    var radius = 28;
    var startAngle = 0 * Math.PI;

    var downloadTimer = setInterval(function() {
			cur += 1;
			var rem = dur - cur;
			cntr.innerHTML = rem;
			var endAngle = 2 - (step * cur);
			var counterClockwise = true;
			context.clearRect(0, 0, canvas.width, canvas.height);
			context.beginPath();
			context.arc(centerX, centerY, radius, startAngle, endAngle * Math.PI, false);
			context.lineWidth = 4;
			context.strokeStyle = '#ffffff';
			context.stroke();
			if (rem <= 0) {
				clearInterval(downloadTimer);
				cntr.innerHTML = "0";
				ADTECH.event('autoClose');
			}
    }, 1000);
  
   clk.onclick = function() {
     if(mapInit == false){
        initMap();
       	mapInit = true;
     }
        mapContClick.style.display = 'block';
        mapcontainer.style.display = 'block';
     	back.style.display = 'block';
        bglayer.style.display = 'none';
      	ADTECH.event('clickedToMap');
      	//cndn.style.display = 'none';
        clearInterval(downloadTimer);
     	cndn.style.display = 'none';
     	clk.style.display = 'none';
		clickSite.style.display = 'none';
    };
  
  back.onclick = function(){
  	back.style.display = 'none';
    bglayer.style.display = 'block';
    clk.style.display = 'block';
	clickSite.style.display = 'block';   
    ADTECH.event('clickBack');
  }
	
  clickSite.onclick = function(e){  
    stopPropagation(e);
    ADTECH.click('clickToSite', 'http://www.adsolutions.com'); 
  };
	
	resizeCont();
}ADTECH.ready(init);
